Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1097604

Description of problem:

content-host subscommand's title still uses system. It should be renamed to content host. For ex:

[root@dhcp201-170 ~]# hammer content-host --help

Usage:

    hammer content-host [OPTIONS] SUBCOMMAND [ARG] ...

 Parameters:

SUBCOMMAND                    subcommand

[ARG] ...                     subcommand arguments

Subcommands:

create                        Register a system

delete                        Unregister a system

info                          Show a system

list                          List systems

tasks                         List async tasks for the system

update                        Update system information

The title of 'create' command should be renamed to "Register a content host"

Version-Release number of selected component (if applicable):

sat6 beta snap4:

Satellite-6.0.3-RHEL-6-20140508.1

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.7-1.el6sat.noarch

foreman-compute-1.6.0.7-1.el6sat.noarch

foreman-gce-1.6.0.7-1.el6sat.noarch

foreman-libvirt-1.6.0.7-1.el6sat.noarch

foreman-ovirt-1.6.0.7-1.el6sat.noarch

foreman-postgresql-1.6.0.7-1.el6sat.noarch

foreman-proxy-1.6.0.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

foreman-vmware-1.6.0.7-1.el6sat.noarch

katello-1.5.0-22.el6sat.noarch
katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.37-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-12.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-12.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-5.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-22.el6sat.noarch

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Subcommands:

create                        Register a content host

delete                        Unregister a content host

info                          Show a content host

list                          List content host

tasks                         List async tasks for the content-host

update                        Update content host information

Additional info:

Associated revisions

Revision e946140a - 05/22/2014 03:57 PM - Christine Fouant

Fixes #5768 Changed term system to content-host

Revision a8d5af35 - 05/23/2014 01:55 PM - Eric Helms

Merge pull request #4139 from cfouant/cfouant-branch

Fixes #5768 Changed term system to content-host

History

#1 - 05/23/2014 02:52 PM - Christine Fouant

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:e946140ab23b68518274245face81e2754008558.

#2 - 06/05/2014 03:17 PM - Christine Fouant

- Assignee set to Christine Fouant

- Triaged set to No

#3 - 06/06/2014 12:43 PM - Eric Helms

- Target version set to 45
- Triaged changed from No to Yes

#4 - 08/22/2014 08:24 AM - Eric Helms

- translation missing: en.field_release set to 13
